<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	final String title = "Options for auto-selecting RNA";
%>
<base:page type="popup" title="<%=title%>">
<base:head>
	<link rel="stylesheet" type="text/css" href="../css/reggie.css">
	<script language="JavaScript" src="../reggie.js" type="text/javascript" charset="UTF-8"></script>

<script>
function autoSelect()
{
	var options = {};
	var frm = document.forms['options'];
	if (frm.remainingQuantity.checked) options.remainingQuantity = 1.1;
	if (frm.flag.checked) options.flag = 1;
	if (frm.reProcess.checked) options.reProcess = 1;
	try
	{
		showLoadingAnimation('Finding RNA. Please wait...');
		window.opener.autoSelect(options);
		window.close();
	}
	finally
	{
		hideLoadingAnimation();
	}
}
</script>
<style>
div#loading
{
	text-align: center; 
	margin-top: 2em;
}
</style>
</base:head>
<base:body>
	<h1><%=title %></h1>

	<form name="options" onsubmit="return false;">

	<div class="content bottomborder">
	
		<table class="fullform input100">
		<tr valign="top">
			<th>Active filters</th>
			<td>
				<input type="checkbox" name="remainingQuantity" id="remainingQuantity" value="1" checked><label for="remainingQuantity">Remaining quantity ≥ 1.1µg</label><br>

			</td>
		</tr>
		<tr>
			<th>Re-process</th>
			<td>
				<input type="checkbox" name="reProcess" id="reProcess" value="1" checked><label for="reProcess">Select RNA marked for re-process</label> (even if filter doesn't match)
			</td>
		</tr>
		<tr>
			<th>Flag</th>
			<td>
				<input type="checkbox" name="flag" id="flag" value="1" checked><label for="flag">Flag RNA not matching the filter</label>
			</td>
		</tr>
		<tr class="dynamic">
			<th></th>
			<td>
				<div class="loading" id="loading" style="display: none;">
				<table>
				<tr>
					<td><img src="../images/loading.gif"></td>
					<td id="loading.msg">Please wait...</td>
				</tr>
				</table>
			</div>
				
			</td>
		</tr>
		</table>
	
	</div>
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button onclick="autoSelect()" title="Ok" />
		<base:button onclick="window.close()" title="Cancel" />
	</base:buttongroup>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>